Index: src/backend/Makefile
===================================================================
RCS file: /projects/cvsroot/pgsql/src/backend/Makefile,v
retrieving revision 1.110
diff -u -r1.110 Makefile
--- src/backend/Makefile	27 Oct 2005 20:45:29 -0000	1.110
+++ src/backend/Makefile	27 Nov 2005 19:40:09 -0000
@@ -40,8 +40,11 @@
 ifneq ($(PORTNAME), win32)
 ifneq ($(PORTNAME), aix)
 
+# Filter out libraries we don't need
+BACKEND_LIBS=$(filter -ldes -lcom_err -lcrypto -lk5crypto -lkrb5 -lssl -lsocket -lintl -lcrypt -ldl -lm, $(LIBS))
+
 postgres: $(OBJS)
-	$(CC) $(CFLAGS) $(LDFLAGS) $(export_dynamic) $^ $(LIBS) -o $@
+	$(CC) $(CFLAGS) $(LDFLAGS) $(export_dynamic) $^ $(BACKEND_LIBS) -o $@
 
 endif
 endif
